Package com.smartgwt.client.types

# Enum MockDSExportValidatorMode

java.lang.Object
java.lang.Enum<MockDSExportValidatorMode>
com.smartgwt.client.types.MockDSExportValidatorMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MockDSExportValidatorMode>`, `Constable`

public enum MockDSExportValidatorMode extends Enum<MockDSExportValidatorMode> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  export all explicit, client-side validators
  `NONE`
  export no validators
  `STANDARD`
  export all explicit, client-side standard (non-custom) validators

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MockDSExportValidatorMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MockDSExportValidatorMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final MockDSExportValidatorMode ALL
    export all explicit, client-side validators

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "all".

  - ### STANDARD

    public static final MockDSExportValidatorMode STANDARD
    export all explicit, client-side standard (non-custom) validators

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "standard".

  - ### NONE

    public static final MockDSExportValidatorMode NONE
    export no validators

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static MockDSExportValidatorMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MockDSExportValidatorMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`